# Generated by Django 3.1.5 on 2021-03-06 08:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('location', '0003_auto_20210305_2344'),
    ]

    operations = [
        migrations.CreateModel(
            name='Indicator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('ANN', 'Annual'), ('MON', 'Monthly'), ('DIA', 'Diary')], max_length=3, verbose_name='Tipo')),
                ('name', models.CharField(blank=True, max_length=250, null=True, verbose_name='Nombre')),
                ('unit', models.CharField(choices=[('MON', 'Money'), ('INT', 'Entero'), ('PER', 'Porcentage')], default='M', max_length=3, verbose_name='Unit')),
            ],
            options={
                'verbose_name': 'Indicator',
                'verbose_name_plural': 'Indicators',
            },
        ),
        migrations.CreateModel(
            name='Source',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=250, null=True, verbose_name='Nombre')),
                ('detail', models.CharField(blank=True, max_length=250, null=True, verbose_name='Detail')),
                ('website', models.URLField(blank=True, max_length=250, null=True, verbose_name='Website')),
            ],
            options={
                'verbose_name': 'Source',
                'verbose_name_plural': 'Sources',
            },
        ),
        migrations.CreateModel(
            name='Info',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_source', models.DateField(verbose_name='Date Source')),
                ('date_scraped', models.DateField(auto_now=True, verbose_name='Date scraping')),
                ('value', models.CharField(blank=True, max_length=50, null=True, verbose_name='Valor')),
                ('district', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='location.district', verbose_name='Distric')),
                ('indicator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='recopilator.indicator', verbose_name='Indicator')),
                ('province', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='location.province', verbose_name='Province')),
                ('region', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='location.region', verbose_name='Region')),
            ],
            options={
                'verbose_name': 'information',
                'verbose_name_plural': 'information',
            },
        ),
        migrations.AddField(
            model_name='indicator',
            name='source',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='recopilator.source', verbose_name='Source'),
        ),
    ]
